apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2025-04-24T14:54:44Z'
  generation: 2
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:migrateSharedDisks': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:targetNamespace': {}
          'f:vms': {}
          'f:warm': {}
      manager: Mozilla
      operation: Update
      time: '2025-04-24T14:55:18Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:completed': {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2025-04-24T15:14:46Z'
  name: test-4
  namespace: openshift-mtv
  resourceVersion: '9177298'
  uid: 888dbe36-9f97-4d49-8e54-0e74a805cf7b
spec:
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: vsphere-provider-kd8f8
      namespace: openshift-mtv
      uid: c0af08bd-deac-469d-b993-c6cfc68bd74b
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: vsphere-provider-dsw92
      namespace: openshift-mtv
      uid: a37ab12b-cc8a-445a-89ff-483ea8a7094c
  migrateSharedDisks: true
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: 08d08828-beb8-4370-80f7-0b2f51de4534
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: vsphere-provider
      namespace: openshift-mtv
      uid: 8eddbfda-49d9-4bbf-bef6-717ad95e2d1b
  pvcNameTemplateUseGenerateName: true
  targetNamespace: openshift-mtv
  vms:
    - id: vm-106813
      name: scale-vm-000
  warm: true
status:
  conditions:
    - category: Required
      lastTransitionTime: '2025-04-24T14:54:50Z'
      message: The migration plan is ready.
      status: 'True'
      type: Ready
    - category: Advisory
      durable: true
      lastTransitionTime: '2025-04-24T15:14:46Z'
      message: The plan execution has FAILED.
      status: 'True'
      type: Failed
  migration:
    completed: '2025-04-24T15:14:46Z'
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-04-24T15:14:46Z'
            message: The plan execution has FAILED.
            status: 'True'
            type: Failed
        map:
          network:
            generation: 1
            name: vsphere-provider-kd8f8
            namespace: openshift-mtv
            uid: c0af08bd-deac-469d-b993-c6cfc68bd74b
          storage:
            generation: 1
            name: vsphere-provider-dsw92
            namespace: openshift-mtv
            uid: a37ab12b-cc8a-445a-89ff-483ea8a7094c
        migration:
          generation: 1
          name: test-4-4cbks
          namespace: openshift-mtv
          uid: 83f25570-aa3e-4648-9a6a-eb6035670d44
        plan:
          generation: 2
          name: test-4
          namespace: openshift-mtv
          uid: 888dbe36-9f97-4d49-8e54-0e74a805cf7b
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: 08d08828-beb8-4370-80f7-0b2f51de4534
          source:
            generation: 1
            name: vsphere-provider
            namespace: openshift-mtv
            uid: 8eddbfda-49d9-4bbf-bef6-717ad95e2d1b
    started: '2025-04-24T14:59:32Z'
    vms:
      - started: '2025-04-24T14:59:32Z'
        pipeline:
          - completed: '2025-04-24T14:59:49Z'
            description: Initialize migration.
            name: Initialize
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2025-04-24T14:59:32Z'
          - annotations:
              dvStatusCheckRetries: '1'
              unit: MB
            completed: '2025-04-24T15:01:21Z'
            description: Transfer disks.
            name: DiskTransfer
            phase: Completed
            progress:
              completed: 4402
              total: 4402
            started: '2025-04-24T14:59:55Z'
            tasks:
              - annotations:
                  unit: MB
                completed: '2025-04-24T15:01:21Z'
                name: '[ecoesxi01_ds1] scale-vm-000/scale-vm-000.vmdk'
                phase: Completed
                progress:
                  completed: 4402
                  total: 4402
                reason: Transfer completed.
                started: '2025-04-24T15:00:25Z'
          - annotations:
              dvStatusCheckRetries: '1'
              unit: MB
            description: Finalize disk transfer.
            error:
              phase: Running
              reasons:
                - 'Unable to process data: Unable to resize disk image to requested size: virtual image size 4615831552 is larger than the reported available storage 2306867200. A larger PVC is required'
            name: Cutover
            phase: Running
            progress:
              completed: 264
              total: 4402
            started: '2025-04-24T15:11:19Z'
            tasks:
              - annotations:
                  Precopy: '2'
                  unit: MB
                error:
                  phase: Running
                  reasons:
                    - 'Unable to process data: Unable to resize disk image to requested size: virtual image size 4615831552 is larger than the reported available storage 2306867200. A larger PVC is required'
                name: '[ecoesxi01_ds1] scale-vm-000/scale-vm-000.vmdk'
                phase: Running
                progress:
                  completed: 264
                  total: 4402
                reason: 'Pod is running; '
                started: '2025-04-24T15:11:06Z'
          - description: Convert image to kubevirt.
            name: ImageConversion
            phase: Pending
            progress:
              completed: 0
              total: 1
          - description: Create VM.
            name: VirtualMachineCreation
            phase: Pending
            progress:
              completed: 0
              total: 1
        warm:
          consecutiveFailures: 0
          failures: 4
          nextPrecopyAt: '2025-04-24T16:01:21Z'
          precopies:
            - createTaskId: task-373148
              deltas:
                - deltaId: ''
                  disk: '[ecoesxi01_ds1] scale-vm-000/scale-vm-000.vmdk'
              end: '2025-04-24T15:01:21Z'
              removeTaskId: task-373150
              snapshot: snapshot-107093
              start: '2025-04-24T14:59:35Z'
            - createTaskId: task-373151
              snapshot: snapshot-107094
              start: '2025-04-24T15:11:06Z'
          successes: 1
        error:
          phase: Finalize
          reasons:
            - 'Unable to process data: Unable to resize disk image to requested size: virtual image size 4615831552 is larger than the reported available storage 2306867200. A larger PVC is required'
        completed: '2025-04-24T15:14:46Z'
        name: scale-vm-000
        luks: {}
        conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-04-24T15:14:42Z'
            message: The VM migration has FAILED.
            status: 'True'
            type: Failed
        restorePowerState: 'On'
        id: vm-106813
        phase: Completed
  observedGeneration: 2
